Page MenuHomePhabricator

Review existing JS error logging solutions
Closed, ResolvedPublic

Description

Review existing JS error logging solutions (esp. the FOSS ones) to make sure we did not miss anything important, to make sure we are not reinventing the wheel where a 3rd-party drop-in solution already exists (especially with T499), and to gather JS tricks for T512 and others.

FOSS:

There are many commercial ones available, but they all require neogicating custom plans due to our traffic. I think it would turn out to be quite expensive and traditionally we've always tried to switch from commercial solutions we were using to open-source things we host.

Related Objects

Event Timeline

Tgr created this task.Oct 1 2014, 12:37 PM
Tgr claimed this task.
Tgr raised the priority of this task from to Normal.
Tgr updated the task description. (Show Details)
Tgr changed Security from none to None.
Tgr added a subscriber: Tgr.
Tgr updated the task description. (Show Details)Oct 1 2014, 12:51 PM
Gilles claimed this task.Oct 24 2014, 10:23 AM
Gilles added a project: Multimedia.
Gilles removed a subscriber: Unknown Object (MLST).
Gilles updated the task description. (Show Details)Oct 24 2014, 10:57 AM
He7d3r added a subscriber: He7d3r.Oct 24 2014, 11:05 AM

I think that raven uses TraceKit. But beyond the very low-level tools, since the entire Sentry stack is open source, I think the easiest first step is to set up Sentry on labs, use it to track errors on beta and have a look at what we're getting. Then we'll be able to look at what value each component provides to see if it's worth keeping or switching to something else.

Another good reason to go for Sentry or its components is that they're being used by other very large websites, many of which are paying customers, which means that it's getting good maintenance.

Gilles removed Gilles as the assignee of this task.Nov 24 2014, 3:04 PM
Gilles added a subscriber: Gilles.
Gilles moved this task from Untriaged to Prototyping on the Multimedia board.Nov 24 2014, 4:09 PM
Tgr added a comment.Feb 10 2015, 11:25 PM

I completely missed Squash which on the whole looks less maintained and less lively than Sentry (but still looks good) but has the super-neat feature of auto-identifying culprits via git blame. I don't think it is a reason to consider them (they are standing still; Sentry moves fast, and Squash is a side project while Sentry is the core business of its developers) but maybe that feature can be extracted somehow? (Sentry has no plans for the same thing at the moment.)

Gilles moved this task from Prototyping to Untriaged on the Multimedia board.Apr 6 2015, 9:22 AM
Jdforrester-WMF edited projects, added Sentry; removed Multimedia.May 7 2015, 3:57 PM
Tgr closed this task as Resolved.Jul 16 2015, 5:09 PM
Tgr assigned this task to Gilles.